version: '1.1'
last_updated: '2025-12-22T15:04:39.036891'
sync_count: 2
system:
  name: Genesis
  type: Multi-agent autonomous development system
  phase: Maturation
  location: /mnt/e/genesis-system
files:
  python:
  - path: genesis_coordinator.py
    purpose: System status and work queue management
    lines: 228
  - path: surprise_memory.py
    purpose: Surprise-based memory retention system
    lines: 515
  - path: youtube_learner.py
    purpose: YouTube transcript extraction and learning
    lines: 289
  - path: blackboard.py
    purpose: Multi-agent shared memory coordination
    lines: 520
  - path: orchestrator.py
    purpose: Parallel worker agent orchestration with asyncio.gather
    lines: 350
    status: NEW
  - path: meta_prompts.py
    purpose: Meta-prompt generator for domain expertise
    lines: 180
    status: NEW
  skills:
  - path: .claude/skills/coordination/SKILL.md
    purpose: Task coordination and priority decisions
  - path: .claude/skills/memory/SKILL.md
    purpose: Memory architecture guidance
  - path: .claude/skills/meta-cognition/SKILL.md
    purpose: Self-awareness and capability tracking
  expertise_domains:
  - path: expertise/genesis/
    purpose: Genesis system self-knowledge
  - path: expertise/code_review/
    purpose: Code review domain expertise
  - path: expertise/testing/
    purpose: Testing domain expertise
  - path: expertise/documentation/
    purpose: Documentation domain expertise
  - path: expertise/coordination/
    purpose: Multi-agent coordination patterns
  - path: expertise/learning/
    purpose: Self-improvement patterns
  strategic:
  - path: HANDOFF.md
    purpose: Session handoff and current state
  - path: WORK_QUEUE.md
    purpose: Task priorities
  - path: CONTINUOUS_DEVELOPMENT_PROTOCOL.md
    purpose: Autonomous operation protocol
capabilities:
  memory:
  - name: Surprise-based retention
    file: surprise_memory.py
    status: implemented
  - name: MCP knowledge graph
    tool: mcp__memory__*
    status: active
  - name: Blackboard shared memory
    file: blackboard.py
    status: implemented
  learning:
  - name: YouTube transcript extraction
    file: youtube_learner.py
    status: implemented
  - name: Expertise files
    location: expertise/
    status: active
  - name: Self-improve prompts
    file: expertise/*/self_improve.md
    status: implemented
  coordination:
  - name: Parallel agent execution
    method: Task tool with haiku model
    status: active
  - name: Voting consensus
    file: blackboard.py
    status: implemented
  - name: Orchestrator-Worker pattern
    file: orchestrator.py
    status: NEW - implemented
    performance: 37% faster with asyncio.gather
  meta_agentics:
  - name: Meta-prompt generator
    file: meta_prompts.py
    types:
    - question
    - expert
    - skill
    - self_improve
    status: NEW - implemented
mcp_servers:
- name: memory
  purpose: Knowledge graph persistence
- name: youtube_transcript
  purpose: Video transcript extraction
- name: arxiv-mcp-server
  purpose: Research paper access
- name: git
  purpose: Local repo automation
- name: SQLite
  purpose: Database capabilities
- name: github
  purpose: GitHub API (needs token)
- name: brave
  purpose: Web search
- name: ast-grep
  purpose: Code structural search
- name: sonarqube
  purpose: Code quality analysis
- name: testkube
  purpose: Test orchestration
- name: context7
  purpose: Code documentation
- name: filesystem
  purpose: File operations
- name: fetch
  purpose: HTTP requests
- name: neo4j-memory
  purpose: Graph database (needs config)
patterns:
- name: Agent Experts
  source: IndyDevDan video
  components:
  - expertise files
  - self-improve prompts
  - meta-agentics
  status: implemented
- name: Blackboard Architecture
  source: Multi-agent research
  performance: 13-57% better than RAG
  status: implemented
- name: Orchestrator-Worker
  source: Anthropic research
  performance: 37% faster with parallel, 90% reduction in research time
  status: implemented
- name: Meta-Agentics
  source: IndyDevDan Agent Experts video
  components:
  - meta prompts
  - meta agents
  - meta skills
  status: implemented
knowledge_graph:
  entities: 26
  relations: 39
  last_updated: '2025-12-22'
infrastructure:
  docker: E:\Docker
  mcp_servers_available: 312
  mcp_servers_enabled: 14
  postgresql: running
  letta_server: port 8283
learnings:
- content: Created expertise loader and self-improve system
  task: CLI recorded learning
  timestamp: '2025-12-22T15:04:39.013531'
issues: []
stats:
  success: 1
  failure: 0
  partial: 0
